<?php
/*
 This is the main function file
 Author: NS Themes
*/

// Folder theme path absolute
 if ( ! defined( 'BLOGOSTRAP_PATH' ) )
	define( 'BLOGOSTRAP_PATH', get_template_directory() );

// Folder theme url
if ( ! defined( 'BLOGOSTRAP_URI_PATH' ) )
    define( 'BLOGOSTRAP_URI_PATH', get_template_directory_uri() );

// Folder functions path
if ( ! defined( 'BLOGOSTRAP_INC_PATH' ) )
	define( 'BLOGOSTRAP_INC_PATH', BLOGOSTRAP_PATH . '/inc' );


// Folder css path
if ( ! defined( 'BLOGOSTRAP_CSS_PATH' ) )
    define( 'BLOGOSTRAP_CSS_PATH', BLOGOSTRAP_URI_PATH . '/assets/css' );
 
// Folder js path
if ( ! defined( 'BLOGOSTRAP_JS_PATH' ) )
	define( 'BLOGOSTRAP_JS_PATH', BLOGOSTRAP_URI_PATH . '/assets/js' );

/* *** include css *** */
require_once( BLOGOSTRAP_INC_PATH.'/blogostrap_enqueue_style.php');

/* *** include js *** */
require_once( BLOGOSTRAP_INC_PATH.'/blogostrap_enqueue_script.php');

/* *** include walker *** */
require_once( BLOGOSTRAP_INC_PATH.'/class/blogostrap-walker-class.php');

/* *** include plugin raccomended *** */
require_once( BLOGOSTRAP_INC_PATH.'/class/class-tgm-plugin-activation.php');
require_once( BLOGOSTRAP_INC_PATH.'/blogostrap_plugin_raccomended.php');

/* *** include widget *** */
require_once( BLOGOSTRAP_INC_PATH.'/blogostrap_widget_about.php');
require_once( BLOGOSTRAP_INC_PATH.'/blogostrap_widget_last_post.php');
require_once( BLOGOSTRAP_INC_PATH.'/blogostrap_widget_page.php');
require_once( BLOGOSTRAP_INC_PATH.'/blogostrap_widget_separator.php');

####################################################################
if ( ! isset( $content_width ) ) {
	$content_width = 1170;
}


// Support code for WordPress

// Register the nav menu
add_action( 'after_setup_theme', 'blogostrap_setup' );
    if ( ! function_exists( 'blogostrap_setup' ) ):
        function blogostrap_setup() {  
            add_theme_support( 'title-tag' );
            add_theme_support( 'custom-background', array('default-color' => 'FFFFFF') ); /*requires WP v >= 3.4  */
            add_theme_support( 'custom-header' );
            add_theme_support( 'post-thumbnails' );
            add_editor_style(); 

            // Add Automatic Feed Links
            add_theme_support( 'automatic-feed-links' );            
            register_nav_menus( array('primary'    => __( 'Primary navigation', 'blogostrap' ) ) );
} endif;


add_filter('nav_menu_css_class' , 'blogostrap_special_nav_class' , 10 , 2);
function blogostrap_special_nav_class($classes, $item){
     if( in_array('current-menu-item', $classes) ){
             $classes[] = 'active ';
     }
     return $classes;
}
####################################################################

// Localization Support
add_action( 'after_setup_theme', 'blogostrap_theme_setup_lang' );
function blogostrap_theme_setup_lang(){
    load_theme_textdomain( 'blogostrap' );
}



function blogostrap_customize_css()
{
    $blogostrap_hide_tit_tagline_live = get_theme_mod('header_textcolor', '');
    if ($blogostrap_hide_tit_tagline_live == 'blank') {
        $blogostrap_tagline_print = 'none';
    }else{
        $blogostrap_tagline_print = 'inline';
    }
    ?>
         <style type="text/css">
             #blogostrap_tagline { display: <?php echo $blogostrap_tagline_print; ?>; }
         </style>
    <?php
}
add_action( 'wp_head', 'blogostrap_customize_css');


####################################################################

function blogostrap_blogo_comm( $comment, $args, $depth ) {
    ?>
                    <!-- single comment -->
                    <div <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
                        <div class="col-md-3" class="nssingleCommPad">
                          <img src="<?php echo get_avatar_url($comment); ?>" class="imgAuthComm">
                        </div>
                        <div class="col-md-9" class="CommContPadns">
                          <p><?php comment_text(); ?></p>
                          <?php
                          $blogo_comment_author_url = get_comment_author_url();
                          if ($blogo_comment_author_url != '') {
                              $blogostrap_print_comment_author = '<a href="'.get_comment_author_url().'">'.get_comment_author().'</a>';
                          }else{
                              $blogostrap_print_comment_author = get_comment_author();
                          }
                          ?>
                          <p>
                            <?php _e( 'Posted by:', 'blogostrap' ); ?> <span><?php echo $blogostrap_print_comment_author; ?></span> | <a href="#comment-<?php comment_ID(); ?>"><?php echo get_comment_date(); ?></a> <?php edit_comment_link(__('Edit', 'blogostrap'),'| '); ?> | <?php echo get_comment_reply_link( array_merge( $args, array( 'add_below'  => 'li-comment', 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?> <?php _e( 'to ', 'blogostrap' ); ?> <?php comment_author(); ?>
                          </p>
                        </div>
                    </div>
<?php
}

####################################################################
add_action( 'widgets_init', 'blogostrap_widgets_init' );
function blogostrap_widgets_init() {
    register_sidebar( array(
        'name' => __( 'Sidebar', 'blogostrap' ),
        'id' => 'sidebar-widget',
        'description' => __( 'Sidebar', 'blogostrap' ),
        'before_widget' => '<li id="%1$s" class="NSwidgetLi">',
        'after_widget' => '</li>',
        'before_title' => '<div class="col-md-12 text-left"><h3>',
        'after_title' => '</h3></div>',
    ));                        
}
####################################################################
add_action( 'customize_register' , 'blogostrap_theme_options' );

function blogostrap_theme_options( $wp_customize ) {
    $wp_customize->remove_control( 'header_textcolor' );

    $wp_customize->add_section( 
        'blogostrap_social_options', 
        array(
            'title'       => __( 'Social Settings', 'blogostrap' ),
            'priority'    => 100,
            'capability'  => 'edit_theme_options',
            'description' => __('Change social link here.', 'blogostrap'), 
        ) 
    );

    $wp_customize->add_setting( 'blogostrap_facebook_link',
        array(
            'default'     => '',
            'sanitize_callback' => 'esc_url',
            'transport'   => 'postMessage',
        )
    ); 
    $wp_customize->add_setting( 'blogostrap_twitter_link',
        array(
            'default'     => '',
            'sanitize_callback' => 'esc_url',
            'transport'   => 'postMessage',
        )
    ); 
    $wp_customize->add_setting( 'blogostrap_google_link',
        array(
            'default'     => '',
            'sanitize_callback' => 'esc_url',
            'transport'   => 'postMessage',
        )
    ); 
    $wp_customize->add_setting( 'blogostrap_youtube_link',
        array(
            'default'     => '',
            'sanitize_callback' => 'esc_url',
            'transport'   => 'postMessage',
        )
    ); 

$wp_customize->add_control( new WP_Customize_Control( 
    $wp_customize, 
    'social_facebook_control',
    array(
        'label'    => __( 'Facebook Link', 'blogostrap' ), 
        'section'  => 'blogostrap_social_options',
        'settings' => 'blogostrap_facebook_link',
        'type'     => 'text',
        //'priority' => 10,
    ) 
));
$wp_customize->add_control( new WP_Customize_Control( 
    $wp_customize, 
    'social_twitter_control',
    array(
        'label'    => __( 'Twitter Link', 'blogostrap' ), 
        'section'  => 'blogostrap_social_options',
        'settings' => 'blogostrap_twitter_link',
        'type'     => 'text',
        //'priority' => 10,
    ) 
));
$wp_customize->add_control( new WP_Customize_Control( 
    $wp_customize, 
    'social_google_control',
    array(
        'label'    => __( 'Google + Link', 'blogostrap' ), 
        'section'  => 'blogostrap_social_options',
        'settings' => 'blogostrap_google_link',
        'type'     => 'text',
        //'priority' => 10,
    ) 
));
$wp_customize->add_control( new WP_Customize_Control( 
    $wp_customize, 
    'social_youtube_control',
    array(
        'label'    => __( 'Youtube Link', 'blogostrap' ), 
        'section'  => 'blogostrap_social_options',
        'settings' => 'blogostrap_youtube_link',
        'type'     => 'text',
        //'priority' => 10,
    ) 
));

}

####################################################################
function blogostrap_styles_method() {
    wp_enqueue_style(
        'blogostrap-additional-style',
        get_template_directory_uri() . '/assets/css/blogostrap-additional-style.css'
    );
        $blogostrap_heade_image = get_theme_mod('header_image', '');
        if(isset($blogostrap_heade_image) && $blogostrap_heade_image != '' && $blogostrap_heade_image != 'remove-header'){
                $blogostrap_custom_css = "
                        .blogostrap-add-header{
                                background-image:url('".esc_url($blogostrap_heade_image)."');
                                background-size: cover;
                                background-position: center center;
                        }";
        }
        else{
                $blogostrap_custom_css = "
                        .blogostrap-add-header{
                                background-image:url('".get_template_directory_uri()."/assets/img/blogostrap-seascape.jpg');
                                background-size: cover;
                                background-position: center center;
                        }
                ";               
        }        
        wp_add_inline_style( 'blogostrap-additional-style', $blogostrap_custom_css );
}
add_action( 'wp_enqueue_scripts', 'blogostrap_styles_method' );
?>