<?php

class blogostrap_custom_Widget_Last_Post extends WP_Widget {

	/**
	 * Sets up the widgets name etc
	 */
	public function __construct() {
		$widget_ops = array( 
			'classname' => 'blogostrap_class_last_post',
			'description' => __( 'Display last post.', 'blogostrap' ),
		);
		parent::__construct( 'blogostrap_last_post', __( 'Blogostrap Last Post', 'blogostrap' ), $widget_ops );
	}

	/**
	 * Outputs the content of the widget
	 *
	 * @param array $args
	 * @param array $instance
	 */
	public function widget( $args, $instance ) {
		// outputs the content of the widget
			echo $args['before_widget'];
		if ( ! empty( $instance['blogostrap_title_last_post'] ) ) {
			echo $args['before_title'] . apply_filters( 'widget_title', $instance['blogostrap_title_last_post'] ) . $args['after_title'];
		}
		?>
		<?php
			$blogostrap_args = array(
				'post_type' => 'post',
				'posts_per_page' => '3',
				'ignore_sticky_posts' => '1',
				'orderby'  => 'date',
				'order' => 'DESC'
				);
			$query = new WP_Query( $blogostrap_args );
			
			while ( $query->have_posts() ) : $query->the_post();
			$id = get_the_ID();
		?>
		<div class="col-md-12 homeSidebarContainerSingle">
			<?php if ( has_post_thumbnail() ) {   ?>
				<a href="<?php the_permalink(); ?>"><img src="<?php echo wp_get_attachment_url( get_post_thumbnail_id($id) ); ?>" class="homeSidebarImage"></a>
			<?php } ?>
			<p class="homeSidebarSingleTitle">" <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a> "<br/><span class="homeSidebarSingleDate"><?php echo get_the_date(get_option( 'j M' )); ?></span></p>
			<p class="homeSidebarSingleAuthor"><?php echo '<a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'">'.get_the_author().'</a>'; ?></p>
		</div>
		<?php endwhile; wp_reset_postdata(); ?>

		<?php
		echo $args['after_widget'];
	}

	/**
	 * Outputs the options form on admin
	 *
	 * @param array $instance The widget options
	 */
	public function form( $instance ) {
		// outputs the options form on admin
		$blogostrap_title_last_post = ! empty( $instance['blogostrap_title_last_post'] ) ? $instance['blogostrap_title_last_post'] : '';
		?>
		<p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'blogostrap_title_last_post' ) ); ?>"><?php _e( 'Title:', 'blogostrap' ); ?></label> 
		<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'blogostrap_title_last_post' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'blogostrap_title_last_post' ) ); ?>" type="text" value="<?php echo esc_attr( $blogostrap_title_last_post ); ?>">
		</p>						
		<?php 	
	}

	/**
	 * Processing widget options on save
	 *
	 * @param array $new_instance The new options
	 * @param array $old_instance The previous options
	 */
	public function update( $new_instance, $old_instance ) {
		// processes widget options to be saved
		$instance = array();
		$instance['blogostrap_title_last_post'] = ( ! empty( $new_instance['blogostrap_title_last_post'] ) ) ? sanitize_text_field( $new_instance['blogostrap_title_last_post'] ) : '';

		return $instance;
	}
}




add_action( 'widgets_init', function(){
	register_widget( 'blogostrap_custom_Widget_Last_Post' );
});
?>