<?php

class blogostrap_custom_Widget_Page extends WP_Widget {

	/**
	 * Sets up the widgets name etc
	 */
	public function __construct() {
		$widget_ops = array( 
			'classname' => 'blogostrap_class_page',
			'description' => __( 'Display featured image and title of your pages.', 'blogostrap' ),
		);
		parent::__construct( 'blogostrap_post', __( 'Blogostrap Page', 'blogostrap' ), $widget_ops );
	}

	/**
	 * Outputs the content of the widget
	 *
	 * @param array $args
	 * @param array $instance
	 */
	public function widget( $args, $instance ) {
		// outputs the content of the widget
			echo $args['before_widget'];
		if ( ! empty( $instance['title'] ) ) {
			echo $args['before_title'] . apply_filters( 'widget_title', $instance['title'] ) . $args['after_title'];
		}

		// $post_1 = (! empty($instance['first_page'])) ?  get_post($instance['first_page']) : '';
		// $post_2 = (! empty($instance['second_page'])) ?  get_post($instance['second_page']) : '';
		// $post_3 = (! empty($instance['third_page'])) ?  get_post($instance['third_page']) : '';
		// $post_4 = (! empty($instance['fourth_page'])) ?  get_post($instance['fourth_page']) : '';
		// $post_5 = (! empty($instance['fifth_page'])) ?  get_post($instance['fifth_page']) : '';
		
	
		if (! empty($instance['first_page'])) {
			$post_1 = get_post($instance['first_page']);
			
			$blogostrap_args = array(
				'post_type' => 'page',
				'posts_per_page' => '1',
				'page_id'  => $instance['first_page']
				);
			$query = new WP_Query( $blogostrap_args );
			
			while ( $query->have_posts() ) : $query->the_post();
			$id = get_the_ID();
			?>
				<div class="col-md-12 homeSidebarContainerImage">
					<?php if ( has_post_thumbnail() ) {   ?>
					<div class="col-md-6">
						<a href="<?php the_permalink(); ?>"><img src="<?php echo wp_get_attachment_url( get_post_thumbnail_id($id) ); ?>" class="homeSidebarContainerLastImage"></a>
					</div>
					<?php $class_print_1 = "col-md-6"; } else { $class_print_1 = "col-md-12"; } ?>
					<div class="<?php echo $class_print_1; ?>">
					<p class="homeSidebarContainerImageText"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a><br/><span class="homeSidebarContainerImageDate"><?php echo get_the_date(get_option( 'j M' )); ?></span></p>
					</div>
				</div>
		<?php endwhile; wp_reset_postdata(); 
		}

		if (! empty($instance['second_page'])) {
			$post_1 = get_post($instance['second_page']);
			
			$blogostrap_args = array(
				'post_type' => 'page',
				'posts_per_page' => '1',
				'page_id'  => $instance['second_page']
				);
			$query = new WP_Query( $blogostrap_args );
			
			while ( $query->have_posts() ) : $query->the_post();
			$id = get_the_ID();
			?>
				<div class="col-md-12 homeSidebarContainerImage">
					<?php if ( has_post_thumbnail() ) {   ?>
					<div class="col-md-6">
						<a href="<?php the_permalink(); ?>"><img src="<?php echo wp_get_attachment_url( get_post_thumbnail_id($id) ); ?>" class="homeSidebarContainerLastImage"></a>
					</div>
					<?php $class_print_2 = "col-md-6"; } else { $class_print_2 = "col-md-12"; } ?>
					<div class="<?php echo $class_print_2; ?>">
					<p class="homeSidebarContainerImageText"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a><br/><span class="homeSidebarContainerImageDate"><?php echo get_the_date(get_option( 'j M' )); ?></span></p>
					</div>
				</div>
		<?php endwhile; wp_reset_postdata(); 
		}
		
		if (! empty($instance['third_page'])) {
			$post_1 = get_post($instance['third_page']);
			
			$blogostrap_args = array(
				'post_type' => 'page',
				'posts_per_page' => '1',
				'page_id'  => $instance['third_page']
				);
			$query = new WP_Query( $blogostrap_args );
			
			while ( $query->have_posts() ) : $query->the_post();
			$id = get_the_ID();
			?>
				<div class="col-md-12 homeSidebarContainerImage">
					<?php if ( has_post_thumbnail() ) {   ?>
					<div class="col-md-6">
						<a href="<?php the_permalink(); ?>"><img src="<?php echo wp_get_attachment_url( get_post_thumbnail_id($id) ); ?>" class="homeSidebarContainerLastImage"></a>
					</div>
					<?php $class_print_3 = "col-md-6"; } else { $class_print_3 = "col-md-12"; } ?>
					<div class="<?php echo $class_print_3; ?>">
					<p class="homeSidebarContainerImageText"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a><br/><span class="homeSidebarContainerImageDate"><?php echo get_the_date(get_option( 'j M' )); ?></span></p>
					</div>
				</div>
		<?php endwhile; wp_reset_postdata(); 
		}
		
		if (! empty($instance['fourth_page'])) {
			$post_1 = get_post($instance['fourth_page']);
			
			$blogostrap_args = array(
				'post_type' => 'page',
				'posts_per_page' => '1',
				'page_id'  => $instance['fourth_page']
				);
			$query = new WP_Query( $blogostrap_args );
			
			while ( $query->have_posts() ) : $query->the_post();
			$id = get_the_ID();
			?>
				<div class="col-md-12 homeSidebarContainerImage">
					<?php if ( has_post_thumbnail() ) {   ?>
					<div class="col-md-6">
						<a href="<?php the_permalink(); ?>"><img src="<?php echo wp_get_attachment_url( get_post_thumbnail_id($id) ); ?>" class="homeSidebarContainerLastImage"></a>
					</div>
					<?php $class_print_4 = "col-md-6"; } else { $class_print_4 = "col-md-12"; } ?>
					<div class="<?php echo $class_print_4; ?>">
					<p class="homeSidebarContainerImageText"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a><br/><span class="homeSidebarContainerImageDate"><?php echo get_the_date(get_option( 'j M' )); ?></span></p>
					</div>
				</div>
		<?php endwhile; wp_reset_postdata(); 
		}
		
		if (! empty($instance['fifth_page'])) {
			$post_1 = get_post($instance['fifth_page']);
			
			$blogostrap_args = array(
				'post_type' => 'page',
				'posts_per_page' => '1',
				'page_id'  => $instance['fifth_page']
				);
			$query = new WP_Query( $blogostrap_args );
			
			while ( $query->have_posts() ) : $query->the_post();
			$id = get_the_ID();
			?>
				<div class="col-md-12 homeSidebarContainerImage">
					<?php if ( has_post_thumbnail() ) {   ?>
					<div class="col-md-6">
						<a href="<?php the_permalink(); ?>"><img src="<?php echo wp_get_attachment_url( get_post_thumbnail_id($id) ); ?>" class="homeSidebarContainerLastImage"></a>
					</div>
					<?php $class_print_5 = "col-md-6"; } else { $class_print_5 = "col-md-12"; } ?>
					<div class="<?php echo $class_print_5; ?>">
					<p class="homeSidebarContainerImageText"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a><br/><span class="homeSidebarContainerImageDate"><?php echo get_the_date(get_option( 'j M' )); ?></span></p>
					</div>
				</div>
		<?php endwhile; wp_reset_postdata(); 
		}
		
		echo $args['after_widget'];
	}

	/**
	 * Outputs the options form on admin
	 *
	 * @param array $instance The widget options
	 */
	public function form( $instance ) {
		// outputs the options form on admin
		$title = ! empty( $instance['title'] ) ? $instance['title'] : '';
		$first_page = ! empty( $instance['first_page'] ) ? $instance['first_page'] : '';
		$second_page = ! empty( $instance['second_page'] ) ? $instance['second_page'] : '';
		$third_page = ! empty( $instance['third_page'] ) ? $instance['third_page'] : '';
		$fourth_page = ! empty( $instance['fourth_page'] ) ? $instance['fourth_page'] : '';
		$fifth_page = ! empty( $instance['fifth_page'] ) ? $instance['fifth_page'] : '';
		?>
		<p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php _e( 'Title:', 'blogostrap' ); ?></label> 
		<input class="widefat" name="<?php echo esc_attr( $this->get_field_name( 'title' ) ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>">
		</p>
		<p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'first_page' ) ); ?>"><?php _e( 'Fist Page:', 'blogostrap' ); ?></label> 
		<select id="<?php echo esc_attr( $this->get_field_id( 'first_page' ) ); ?>" class="widefat" name="<?php echo esc_attr( $this->get_field_name( 'first_page' ) ); ?>">
		<option value=""></option>
		<?php
		$args = array(
		'post_type' => 'page',
		'posts_per_page' => -1,
		);
		$query = new WP_Query( $args );

		while ( $query->have_posts() ) : $query->the_post();
		$id = get_the_ID();
		if ($id == $first_page) {
			echo '<option value="'.$id.'" selected>'.the_title('', '', false).'</option>';
		} else {
			echo '<option value="'.$id.'">'.the_title('', '', false).'</option>';
		}
		endwhile; wp_reset_postdata();
		?>
		</select>
		</p>
		<p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'second_page' ) ); ?>"><?php _e( 'Second Page:', 'blogostrap' ); ?></label> 
		<select id="<?php echo esc_attr( $this->get_field_id( 'second_page' ) ); ?>" class="widefat" name="<?php echo esc_attr( $this->get_field_name( 'second_page' ) ); ?>">
		<option value=""></option>
		<?php
		$args = array(
		'post_type' => 'page',
		'posts_per_page' => -1,
		);
		$query = new WP_Query( $args );

		while ( $query->have_posts() ) : $query->the_post();
		$id = get_the_ID();
		if ($id == $second_page) {
			echo '<option value="'.$id.'" selected>'.the_title('', '', false).'</option>';
		} else {
			echo '<option value="'.$id.'">'.the_title('', '', false).'</option>';
		}
		endwhile; wp_reset_postdata();
		?>
		</select>
		</p>
		<p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'third_page' ) ); ?>"><?php _e( 'Third Page:', 'blogostrap' ); ?></label> 
		<select id="<?php echo esc_attr( $this->get_field_id( 'third_page' ) ); ?>" class="widefat" name="<?php echo esc_attr( $this->get_field_name( 'third_page' ) ); ?>">
		<option value=""></option>
		<?php
		$args = array(
		'post_type' => 'page',
		'posts_per_page' => -1,
		);
		$query = new WP_Query( $args );

		while ( $query->have_posts() ) : $query->the_post();
		$id = get_the_ID();
		if ($id == $third_page) {
			echo '<option value="'.$id.'" selected>'.the_title('', '', false).'</option>';
		} else {
			echo '<option value="'.$id.'">'.the_title('', '', false).'</option>';
		}
		endwhile; wp_reset_postdata();
		?>
		</select>
		</p>
		<p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'fourth_page' ) ); ?>"><?php _e( 'Fourth Page:', 'blogostrap' ); ?></label> 
		<select id="<?php echo esc_attr( $this->get_field_id( 'fourth_page' ) ); ?>" class="widefat" name="<?php echo esc_attr( $this->get_field_name( 'fourth_page' ) ); ?>">
		<option value=""></option>
		<?php
		$args = array(
		'post_type' => 'page',
		'posts_per_page' => -1,
		);
		$query = new WP_Query( $args );

		while ( $query->have_posts() ) : $query->the_post();
		$id = get_the_ID();
		if ($id == $fourth_page) {
			echo '<option value="'.$id.'" selected>'.the_title('', '', false).'</option>';
		} else {
			echo '<option value="'.$id.'">'.the_title('', '', false).'</option>';
		}
		endwhile; wp_reset_postdata();
		?>
		</select>
		</p>
		<p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'fifth_page' ) ); ?>"><?php _e( 'Fifth Page:', 'blogostrap' ); ?></label> 
		<select id="<?php echo esc_attr( $this->get_field_id( 'fifth_page' ) ); ?>" class="widefat" name="<?php echo esc_attr( $this->get_field_name( 'fifth_page' ) ); ?>">
		<option value=""></option>
		<?php
		$args = array(
		'post_type' => 'page',
		'posts_per_page' => -1,
		);
		$query = new WP_Query( $args );

		while ( $query->have_posts() ) : $query->the_post();
		$id = get_the_ID();
		if ($id == $fifth_page) {
			echo '<option value="'.$id.'" selected>'.the_title('', '', false).'</option>';
		} else {
			echo '<option value="'.$id.'">'.the_title('', '', false).'</option>';
		}
		endwhile; wp_reset_postdata();
		?>
		</select>
		</p>
		<?php 	
	}

	/**
	 * Processing widget options on save
	 *
	 * @param array $new_instance The new options
	 * @param array $old_instance The previous options
	 */
	public function update( $new_instance, $old_instance ) {
		// processes widget options to be saved
		$instance = array();
		$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? sanitize_text_field( $new_instance['title'] ) : '';
		$instance['first_page'] = ( ! empty( $new_instance['first_page'] ) ) ? sanitize_text_field( $new_instance['first_page'] ) : '';
		$instance['second_page'] = ( ! empty( $new_instance['second_page'] ) ) ? sanitize_text_field( $new_instance['second_page'] ) : '';
		$instance['third_page'] = ( ! empty( $new_instance['third_page'] ) ) ? sanitize_text_field( $new_instance['third_page'] ) : '';
		$instance['fourth_page'] = ( ! empty( $new_instance['fourth_page'] ) ) ? sanitize_text_field( $new_instance['fourth_page'] ) : '';
		$instance['fifth_page'] = ( ! empty( $new_instance['fifth_page'] ) ) ? sanitize_text_field( $new_instance['fifth_page'] ) : '';


		return $instance;
	}
}




add_action( 'widgets_init', function(){
	register_widget( 'blogostrap_custom_Widget_Page' );
});
?>